void
bstack(void) {
	unsigned int i, n, nx, ny, nw, nh, mh, tw;
	Client *c, *mc;

	nx = wx;
	ny = wy;
	nh = 0;

	for(n = 0, c = nexttiled(clients); c; c = nexttiled(c->next))
		n++;

	mh = (n == 1) ? wh : mfact * wh;
	tw = (n > 1) ? ww / (n - 1) : 0;

	for(i = 0, c = mc = nexttiled(clients); c; c = nexttiled(c->next)) {
		if(i == 0) {
			nh = mh - 2 * c->bw;
			nw = ww - 2 * c->bw;
		}
		else {
			if(i == 1) {
				nx = wx;
				ny += mc->h + 2 * mc->bw;
				nh = (wy + wh) - ny - 2 * c->bw;
			}
			if(i + 1 == n)
				nw = (wx + ww) - nx - 2 * c->bw;
			else
				nw = tw - 2 * c->bw;
		}
		resize(c, nx, ny, nw, nh, RESIZEHINTS);
		if((RESIZEHINTS) && ((c->h < bh) || (c->h > nh) || (c->w < bh) || (c->w > nw)))
			resize(c, nx, ny, nw, nh, False);
		if(n > 1 && tw != ww)
			nx = c->x + c->w + 2 * c->bw;
		i++;
	}
}

void
split(void) {
	int y, h;
	unsigned int i, n = counttiled();
	Client *c;

	if(n == 0)
		return;
	if(n == 1) {
		tilemaster(n);
		return;
	}
	else
		c = nexttiled(clients);
	y = ty;
	h = th / n;
	if(h < bh)
		h = th;

	for(i = 0; c; c = nexttiled(c->next), i++) {
		if(i + 1 == n) /* remainder */
			tileresize(c, mx, y, sw - 2 * c->bw, (ty + th) - y - 2 * c->bw);
		else
			tileresize(c, mx, y, sw - 2 * c->bw, h - 2 * c->bw);
		if(h != th)
			y = c->y + c->h + 2 * c->bw;
	}
}

